Debian Bug report logs - #401680
ITA: siege -- Http regression testing and benchmarking

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ryszard Lach <rla@debian.org>

Date: Tue, 5 Dec 2006 11:33:15 UTC

Owned by: Jose Carlos Medeiros <debian@psabs.com.br>

Severity: normal

Fixed in version siege/2.66-1

Done: Jose Carlos Medeiros <debian@psabs.com.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#401680; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryszard Lach <rla@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ryszard Lach <rla@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: siege -- Http regression testing and benchmarking utility
Date: Tue, 05 Dec 2006 12:24:32 +0100
Package: wnpp
Severity: normal


I intend to orphan the siege package. Package is generally working
although it's been reported to throw some segfaults recently
(unconfirmed by upstream author). I've been in touch with Jeff Fulmer
(upstream), he accepts patches and suggestions and sometimes makes a new
release, but he is not able to resolve every debian issue. I'm not a C
programmer, so I'll better leave it for some experienced DD.

The package description is:
 Siege is an regression test and benchmark utility. It can stress test a single
 URL with a user defined number of simulated users, or it can read many URLs
 into memory and stress them simultaneously. The program reports the total
 number of hits recorded, bytes transferred, response time, concurrency, and
 return status. Siege supports HTTP/1.0 and 1.1 protocols, the GET and POST
 directives, cookies, transaction logging, and basic authentication. Its
 features are configurable on a per user basis.
 .
 Note: this package contains siege with https support turned on, thus it
 obsoletes siege-ssl package now.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-reiser4
Locale: LANG=en_US, LC_CTYPE=pl_PL (charmap=ISO-8859-2)



Changed Bug title. Request was from jon@thirdeyesecurity.org (Jon Stearn) to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Jon Stearn <jon@thirdeyesecurity.org>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jon Stearn <jon@thirdeyesecurity.org>:
Bug#401680; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@merkel.debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jon Stearn <jon@thirdeyesecurity.org>. Full text and rfc822 format available.

Message #14 received at 401680@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: control@bugs.debian.org
Cc: 401680@bugs.debian.org
Subject: WNPP bug retitle
Date: Wed, 24 Oct 2007 11:59:17 -0600
retitle 401680 O: siege -- Http regression testing and benchmarking
noowner 401680
stop

Hello,

This is an automatic mail sent to retitle the ITA you have reported or 
are involved with.

Your ITA wnpp bug is being orphaned because of the following reasons:
- It is, as of today, older than 250 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be managing some bugs that are not 
intended by owners and submitters (like you) to be orphaned, for
example if the ITA is still of your interest, or there has been 
some kind of activity around it. In that case, please retitle the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily recover
their bugs ;-).

To retitle it, you simply have to mail <control@bugs.debian.org>
with a body text like this:

 retitle 401680 ITA: siege -- Http regression testing and benchmarking
 owner 401680 !
 stop

Further comments on the work done in the bug sent to
401680@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.





Changed Bug title to `O: siege -- Http regression testing and benchmarking' from `ITA: siege -- Http regression testing and benchmarking'. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. (Wed, 24 Oct 2007 18:00:07 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Jon Stearn <jon@thirdeyesecurity.org>. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. (Wed, 24 Oct 2007 18:00:07 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: siege -- Http regression testing and benchmarking' from `O: siege -- Http regression testing and benchmarking'. Request was from "Jose Carlos Medeiros" <jose@psabs.com.br> to control@bugs.debian.org. (Wed, 24 Oct 2007 18:21:06 GMT) Full text and rfc822 format available.

Owner recorded as Jose Carlos Medeiros <debian@psabs.com.br>. Request was from "Jose Carlos Medeiros" <jose@psabs.com.br> to control@bugs.debian.org. (Wed, 24 Oct 2007 18:21:06 GMT) Full text and rfc822 format available.

Reply sent to Jose Carlos Medeiros <debian@psabs.com.br>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ryszard Lach <rla@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 401680-close@bugs.debian.org (full text, mbox):

From: Jose Carlos Medeiros <debian@psabs.com.br>
To: 401680-close@bugs.debian.org
Subject: Bug#401680: fixed in siege 2.66-1
Date: Thu, 27 Dec 2007 16:32:15 +0000
Source: siege
Source-Version: 2.66-1

We believe that the bug you reported is fixed in the latest version of
siege, which is due to be installed in the Debian FTP archive:

siege_2.66-1.diff.gz
  to pool/main/s/siege/siege_2.66-1.diff.gz
siege_2.66-1.dsc
  to pool/main/s/siege/siege_2.66-1.dsc
siege_2.66-1_i386.deb
  to pool/main/s/siege/siege_2.66-1_i386.deb
siege_2.66.orig.tar.gz
  to pool/main/s/siege/siege_2.66.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 401680@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jose Carlos Medeiros <debian@psabs.com.br> (supplier of updated siege package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 03 Nov 2007 05:37:51 +0000
Source: siege
Binary: siege
Architecture: source i386
Version: 2.66-1
Distribution: unstable
Urgency: low
Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
Changed-By: Jose Carlos Medeiros <debian@psabs.com.br>
Description: 
 siege      - Http regression testing and benchmarking utility
Closes: 401680 403201
Changes: 
 siege (2.66-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #403201)
   * New mantainer. (Closes: #401680)
   * Updated package to use cdbs.
   * debian/watch: Added.
   * debian/control:
     - Added "Homepage:" pseudo-header as Reference 1.14.6.
     - Standards-Version: 3.7.3
     - Added Build-Depends: cdbs, autotools-dev, quilt
Files: 
 63b0399f0562cd6eae4b01872a74c107 701 web optional siege_2.66-1.dsc
 a5592e42d4217572d8035dec000f479c 478161 web optional siege_2.66.orig.tar.gz
 5a040d783f48af0de5aebdd150d1c9ef 83840 web optional siege_2.66-1.diff.gz
 8ea3fc44816a147cb81ff927295a7f78 80936 web optional siege_2.66-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHc9FXGKGxzw/lPdkRArxFAKCasvhiAvB2zL6NFAtRTAaDHWYRCACgoO6v
nz5Z6ieUlt3wtqu0/Yo80k8=
=PxVl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 10:16:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:11:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.